API Reference

Retailers

Retailer directory and profiles

List retailers

GET
/v2/retailers

Query Parameters

q?string
is_active?|
Defaulttrue
limit?number
Default50
Range1 <= value <= 100

Response Body

application/json

curl -X GET "https://api.covala.com/v2/retailers"
{
  "success": true,
  "data": [
    {
      "id": "string",
      "name": "string",
      "slug": "string",
      "domain": "string",
      "logo_url": "string",
      "is_active": true,
      "profile": {
        "return_policy": {
          "property1": null,
          "property2": null
        },
        "price_match": {
          "property1": null,
          "property2": null
        },
        "shipping": {
          "property1": null,
          "property2": null
        },
        "categories": [
          "string"
        ],
        "strengths": [
          "string"
        ],
        "weaknesses": [
          "string"
        ],
        "customer_service": "string",
        "deal_patterns": "string",
        "loyalty_program": "string",
        "summary": "string",
        "property1": null,
        "property2": null
      }
    }
  ],
  "meta": {
    "requestId": "string",
    "timestamp": "string",
    "responseTime": 0,
    "version": "string",
    "cached": true
  }
}

Get retailer by slug

GET
/v2/retailers/{slug}

Path Parameters

slug*string

Response Body

application/json

application/json

curl -X GET "https://api.covala.com/v2/retailers/string"
{
  "success": true,
  "data": {
    "id": "string",
    "name": "string",
    "slug": "string",
    "domain": "string",
    "logo_url": "string",
    "is_active": true,
    "profile": {
      "return_policy": {
        "property1": null,
        "property2": null
      },
      "price_match": {
        "property1": null,
        "property2": null
      },
      "shipping": {
        "property1": null,
        "property2": null
      },
      "categories": [
        "string"
      ],
      "strengths": [
        "string"
      ],
      "weaknesses": [
        "string"
      ],
      "customer_service": "string",
      "deal_patterns": "string",
      "loyalty_program": "string",
      "summary": "string",
      "property1": null,
      "property2": null
    }
  },
  "meta": {
    "requestId": "string",
    "timestamp": "string",
    "responseTime": 0,
    "version": "string",
    "cached": true
  }
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string"
  }
}